Subject: bug#71708: closed (Re: bug#71708: Terminology inconsistencies (1))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Jun 2024 06:11:02 +0000

Your bug report

#71708: Terminology inconsistencies (1)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71708: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71708
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71708: Terminology inconsistencies (1)
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: morf <[email-masked]>, [email-masked]
Date: Sat, 29 Jun 2024 23:09:34 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> [Please use Reply All to reply, to keep the bug tracker CC'ed.]
>
>> Date: Sun, 23 Jun 2024 00:03:27 +0200
>> From: morf <[email-masked]>
>>
>> Eli Zaretskii wrote on 6/21/24 21:20:
>>
>>  Date: Fri, 21 Jun 2024 19:03:00 +0200
>> From: morf <[email-masked]>
>>
>> However, when:
>>
>> [menubar] File > Save As
>> [Create] button
>>     [tooltip] "Create Folder"
>>     [popup] "Folder Name" (as well as a message "A folder with that name
>>         already exists" when typing in an existing directory name)
>>
>> This is an inconsistency.
>> Since this is Linux, it should be "Create Directory" for the tooltip, "Directory Name"
>> for the popup, and  "A directory with that name already exists" for the message.
>>
>>
>> The dialog shown when you click File->Save As is the GUI dialog
>> provided by the toolkit (in your case, it seems like GTK+), and Emacs
>> has very little control on what it says, what it shows, and what are
>> the tooltips there.
>>
>> So I don't think this is an Emacs bug, if at all.
>>
>> Hmm -- I actually hadn't realized that. I guess I was put on the wrong footing
>> because a) the window is reported by xprop as 'Emacs', b) (as the GDK introspection
>> tool reveals) it has a '#emacs-dialog' css ID and c) it looks a bit different from
>> the regular file-manager windows on my system.
>>
>> Anyway, to be fair I didn't call it a bug, but an inconsistency -- though
>> admiitedly it isn't even that.
>> Or was I wrong to post it on THIS list, and is there a more appropriate list to
>> report such possible issues?
>
> This is the right list, but there's nothing we can do about the text
> in the GTK dialogs, and I very much doubt that GTK folks will change
> the text to match the Emacs nomenclature.
>
> So I think this is an inconsistency we will need to live with.

I'm therefore closing this bug report.

Subject: Terminology inconsistencies (1)
From: morf <[email-masked]>
To: [email-masked]
Date: Fri, 21 Jun 2024 19:03:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.16.0) of 2024-04-15

[menubar] File
or:
[minibuffer] menu-bar-open > File
     ...    ...(menuitems)
     "Open Directory"
     ...(more menuitems)
or:
C-x d
     "Dired: (directory):"

Clearly, there seems to be consistent and appropriate use (since this is on Linux)
of the term "Directory".

However, when:

[menubar] File > Save As
[Create] button
     [tooltip] "Create Folder"
     [popup] "Folder Name" (as well as a message "A folder with that name
         already exists" when typing in an existing directory name)

This is an inconsistency.
Since this is Linux, it should be "Create Directory" for the tooltip, "Directory Name"
for the popup, and  "A directory with that name already exists" for the message.

Bauke Jan Douma